package zero1hd.polyjet.entity;

import com.badlogic.gdx.utils.Array;
import com.badlogic.gdx.utils.Pool;
import com.badlogic.gdx.utils.Pools;

public class BoxOfEnemies {
	private final Pool<VoidCircle> voidCirclePool = Pools.get(VoidCircle.class);
	private final Array<Entity> ActiveEnemies;
	
	public BoxOfEnemies() {
		ActiveEnemies = new Array<Entity>();
	}
	
	public Entity getEntity(Entities entity) {
		switch (entity) {
		case VOID_CIRCLE:
			VoidCircle voidCircle = voidCirclePool.obtain();
			ActiveEnemies.add(voidCircle);
			return voidCircle;
		case BAR_BEAT:
			return null;
		case SHARDS:
			return null;
		default:
			return null;
		}
	}
	
	public void free(Entity entity, Entities type) {
		switch (type) {
		case BAR_BEAT:
			break;
		case SHARDS:
			break;
		case VOID_CIRCLE:
			ActiveEnemies.removeValue(entity, true);
			voidCirclePool.free((VoidCircle) entity);
			break;
		default:
			break;
		
		}
	}
}
