package zero1hd.polyjet.entity;

import com.badlogic.gdx.utils.Array;

public class CollisionDetector {
	Array<Entity> firstGroup;
	Array<Entity> secondGroup;
	
	public CollisionDetector(Array<Entity> firstGroup, Array<Entity> secondGroup) {
		this.firstGroup = firstGroup;
		this.secondGroup = secondGroup;
	}
	
	public void collisionCheck() {
		while (firstGroup.iterator().hasNext()) {
			Entity firstEntity = firstGroup.iterator().next();
			while (secondGroup.iterator().hasNext()) {
				Entity secondEntity = secondGroup.iterator().next();
				if (firstEntity.getHitZone().overlaps(secondEntity.getHitZone())) {
					firstEntity.collided(secondEntity);
					secondEntity.collided(firstEntity);
				}
			}
		}
	}
}
